kr.co.hanwha.hifive.adapter.viewholder

## Class MainHomeRequestListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainHomeRequestListViewHolder

-     public class MainHomeRequestListViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 1. 25..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HFEvaluationStarListView` | `mEvaluationStarListView`
    `private android.widget.LinearLayout` | `mLayoutActionEvaluation`
    `private android.widget.LinearLayout` | `mLayoutActionRejected`
    `private android.widget.LinearLayout` | `mLayoutContainer`
    `private MainHomeContract.OnMainHomeListListener` | `mOnMainHomeListListener`
    `private android.widget.TextView` | `mTextViewDeleteRequest`
    `private android.widget.TextView` | `mTextViewDueDate`
    `private android.widget.TextView` | `mTextViewEvalAccept`
    `private android.widget.TextView` | `mTextViewEvalReject`
    `private android.widget.TextView` | `mTextViewLog`
    `private android.widget.TextView` | `mTextViewReceiverName`
    `private android.widget.TextView` | `mTextViewReRequest`
    `private android.widget.TextView` | `mTextViewTitle`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainHomeRequestListViewHolder(android.view.ViewGroup viewGroup, MainHomeContract.OnMainHomeListListener onMainHomeListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLayoutContainer

          private android.widget.LinearLayout mLayoutContainer

    - #### mTextViewDueDate

          private android.widget.TextView mTextViewDueDate

    - #### mEvaluationStarListView

          private HFEvaluationStarListView mEvaluationStarListView

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mTextViewReceiverName

          private android.widget.TextView mTextViewReceiverName

    - #### mLayoutActionEvaluation

          private android.widget.LinearLayout mLayoutActionEvaluation

    - #### mTextViewEvalReject

          private android.widget.TextView mTextViewEvalReject

    - #### mTextViewEvalAccept

          private android.widget.TextView mTextViewEvalAccept

    - #### mLayoutActionRejected

          private android.widget.LinearLayout mLayoutActionRejected

    - #### mTextViewDeleteRequest

          private android.widget.TextView mTextViewDeleteRequest

    - #### mTextViewReRequest

          private android.widget.TextView mTextViewReRequest

    - #### mTextViewLog

          private android.widget.TextView mTextViewLog

    - #### mOnMainHomeListListener

          private MainHomeContract.OnMainHomeListListener mOnMainHomeListListener

  - ### Constructor Detail

    - #### MainHomeRequestListViewHolder

          public MainHomeRequestListViewHolder(@NonNull
                                               android.view.ViewGroup viewGroup,
                                               MainHomeContract.OnMainHomeListListener onMainHomeListListener)

  - ### Method Detail

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`